- Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
- Sub Example_AcadApplication_Events()
- ' This example intializes the public variable (ACADApp) which will be used
- ' to intercept AcadApplication Events
- '
- ' The VBA WithEvents statement makes it possible to intercept an generic object
- ' with the events associated with that object.
- '
- ' Before you will be able to trigger any of the AcadApplication events,
- ' you will first need to run this procedure.
-
- ' We could get the application from the ThisDocument object, but that would
- ' require having a drawing open, so we grab it from the system.
- Set ACADApp = GetObject(, "AutoCAD.Application.19")
- End Sub
- Private Sub ACADApp_EndOpen(ByVal FileName As String)
- ' This example intercepts an Application EndOpen event.
- '
- ' This event is triggered when AutoCAD finishes opening a drawing.
- '
- ' To trigger this example event:
- ' 1) Make sure to run the example that initializes
- ' the public variable (named ACADApp) linked to this event.
- '
- ' 2) Use AutoCAD to open an existing drawing and wait until the
- ' operation finishes
- ' Use the "FileName" variable to determine which drawing file is being opened
- MsgBox "A drawing was just loaded from: " & FileName
- End Sub
|